> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an API key

> Permanently delete an API key. This cannot be undone. Consider deactivating instead if you might need to rollback.




## OpenAPI

````yaml https://app.herondata.io/swagger delete /api/credentials/keys/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/credentials/keys/{heron_id}:
    delete:
      tags:
        - Credentials
      summary: Delete an API key
      description: >
        Permanently delete an API key. This cannot be undone. Consider
        deactivating instead if you might need to rollback.
      parameters:
        - in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Key deleted
        '404':
          description: Key not found
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````